function love.load()
  love.window.setMode(1,2)
  love.window.setFullscreen(true)
  
  sw,sh = love.window.getMode()
  
  gamestate = 0
  
  if gamestate == 0 then
    
    background = {
      width = 0,
      height = 0,
      
      r = .7,
      g = .2,
      b = .6,
      
      draw = function(self)
        width = self.width or 0
        height = self.height or 0
        r = self.r or .7
        g = self.g or .2
        b = self.b or .6
        
        love.graphics.setColor(r,g,b)
        love.graphics.rectangle("fill", 0, 0, width, height)
        love.graphics.setColor(1,1,1)
        
        love.graphics.print("pixel width "..math.floor(self.width).."      Ratio of Width/Screen Width "..self.width/sw, 0, 50)
        love.graphics.print("pixel height"..math.floor(self.height).."      Ratio of Height/ScreenHeight "..self.height/sh, 0, 65)
      end,
      
      update = function(self)
        if self.width < sh then
        
          self.width = self.width + .25
        
        end
        if self.height < sw then
          
          self.height = self.height + .25
        end
      
      end
    }
  end
end

function love.update(dt)
  if gamestate == 0 then
    
    background:update()
    
  end
end

function love.draw()
  if gamestate == 0 then
    
    background:draw()
    
  end
end